package com.ssj.service.course.res;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import java.math.BigDecimal;
import java.util.List;

/** 
 * @author  ZhangCaibao 
 * @version 2018年10月18日 下午5:17:57 
 * 类说明 
 */
public class CourseSeriesSettingRes extends BaseRequest {

	
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	/**
	 * 课程系列id
	 */
	  private String courseSeriesId;
	/**
	 * 老师Id
	 */
	   private List<String> teacherIds;
	   private String teachers;
	
	/**
	    * 价格
	    */
	   private BigDecimal price;
	   /**
		 * 开课时间
		 */
		private String startDate;
		/**
		 * 间隔天数
		 */
		private Integer days;
		/**
		 * 逢周几设置
		 */
		private String[] weeks;
		/**
		 * 图书馆
		 */
		private String libId;


		public String getCourseSeriesId() {
			return courseSeriesId;
		}


		public void setCourseSeriesId(String courseSeriesId) {
			this.courseSeriesId = courseSeriesId;
		}


		public List<String> getTeacherIds() {
			return teacherIds;
		}


		public void setTeacherIds(List<String> teacherIds) {
			this.teacherIds = teacherIds;
		}


		public BigDecimal getPrice() {
			return price;
		}


		public void setPrice(BigDecimal price) {
			this.price = price;
		}


		public String getStartDate() {
			return startDate;
		}


		public void setStartDate(String startDate) {
			this.startDate = startDate;
		}


		public Integer getDays() {
			return days;
		}


		public void setDays(Integer days) {
			this.days = days;
		}


		public String getLibId() {
			return libId;
		}


		public void setLibId(String libId) {
			this.libId = libId;
		}


		public String getTeachers() {
			return teachers;
		}


		public void setTeachers(String teachers) {
			this.teachers = teachers;
		}


		public String[] getWeeks() {
			return weeks;
		}


		public void setWeeks(String[] weeks) {
			this.weeks = weeks;
		}


	


	
		
		
}
